Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform Class Reference

A class to do wavelet transforms. More...

`#include <wavelet_utils.h>`

Collaboration diagram for dirac::WaveletTransform:
[legend]

List of all members.

## Public Member Functions

- WaveletTransform (int d=4, WltFilter f=DAUB9_7)
    Constructor.
- virtual ~WaveletTransform ()
    Destructor.
- void Transform (const Direction d, PicArray &pic_data, CoeffArray &coeff_data)
    Transforms the data to and from the wavelet domain.

## Private Member Functions

- WaveletTransform (const WaveletTransform &cpy)
    Private, bodyless copy constructor: class should not be copied.
- WaveletTransform & operator= (const WaveletTransform &rhs)
    Private, bodyless copy operator=: class should not be assigned.

## Private Attributes

- int m_depth
    Depth of the transform.
- WltFilter m_filt_sort
    The (vertical and horizontal) wavelet filter set to be used.
- VHFilter * m_vhfilter
    A class to do the vertical and horizontal filtering required.

## Detailed Description

A class to do forward and backward wavelet transforms by iteratively splitting or merging the lowest frequency band.

## Constructor & Destructor Documentation

dirac::WaveletTransform::WaveletTransform | ( | int | d = `4`,
|  | WltFilter | f = `DAUB9_7` |
| ) |  |  |

virtual dirac::WaveletTransform::~WaveletTransform | ( |  | ) | `[virtual]`

dirac::WaveletTransform::WaveletTransform | ( | const WaveletTransform & | cpy | ) | `[private]`

## Member Function Documentation

void dirac::WaveletTransform::Transform | ( | const Direction | d,
|  | PicArray & | pic_data,
|  | CoeffArray & | coeff_data |
| ) |  |  |

Transforms the data to and from the wavelet domain.

Parameters:

  | d | the direction of the transform
  | pic_data | the data to be transformed
  | coeff_data | array that holds the transform coefficient data

WaveletTransform& dirac::WaveletTransform::operator= | ( | const WaveletTransform & | rhs | ) | `[private]`

## Member Data Documentation

int dirac::WaveletTransform::m_depth`[private]`

WltFilter dirac::WaveletTransform::m_filt_sort`[private]`

VHFilter* dirac::WaveletTransform::m_vhfilter`[private]`

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.